#ifndef DEBUGGER_H
#define DEBUGGER_H

#include "vm_state.h"

///@class Debugger
///@brief Abstract debugger
class Debugger
{
public: 
	Debugger(VMState& state):m_state(state){}
	
public:
	///@method dbg
	///@brief Children implement the debugger here
	virtual void dbg() = 0;

protected:
	VMState& m_state;
};
#endif //DEBUGGER_H