#ifndef VM_STATE_H
#define VM_STATE_H

#include <iostream>
#include <vector>
#include <stdint.h>

struct VMState
{
		std::vector<int32_t> stack;
		std::vector<int32_t> memory;
		std::vector<int32_t> program_memory;
		unsigned ip; //Instruction pointer
		unsigned sp; //Stack pointer
		bool hf; //Halt flag
		bool rf; //Raw flag -I/O will be interpreted as raw bytes
};

#endif //VM_STATE_H
